@font-face {
	font-family: "icons";
	src: url('../fonts/icons.eot');
	src: url('../fonts/icons.eot?#iefix') format('eot'),
		url('../fonts/icons.woff') format('woff'),
		url('../fonts/icons.ttf') format('truetype'),
		url('../fonts/icons.svg#icons') format('svg');
}

.icon-base-pseudo {
	font-family: "icons";
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
	font-style: normal;
	font-variant: normal;
	font-weight: normal;
	// speak: none; // only necessary if not using the private unicode range (firstGlyph option)
	text-decoration: none;
	text-transform: none;
}

.icon-char(@filename) {
	@compartilhar: "\E001";
	@dificuldade: "\E002";
	@facebook: "\E003";
	@garafa: "\E004";
	@imprimir: "\E005";
	@instagram: "\E006";
	@kcal: "\E007";
	@momento: "\E008";
	@omega: "\E009";
	@pacote: "\E00A";
	@pet: "\E00B";
	@play: "\E00C";
	@porcoes: "\E00D";
	@sache: "\E00E";
	@search: "\E00F";
	@seta-next: "\E010";
	@seta-prev: "\E011";
	@tempeiro: "\E012";
	@tempo: "\E013";
	
	content: @@filename;
}

.icon(@filename, @insert: before) {
	@pseudo-selector: ~":@{insert}";

	&@{pseudo-selector} {
		&:extend(.icon-base-pseudo);
		.icon-char(@filename);
	}
}

.icon-compartilhar {
	.icon(compartilhar);
}
.icon-dificuldade {
	.icon(dificuldade);
}
.icon-facebook {
	.icon(facebook);
}
.icon-garafa {
	.icon(garafa);
}
.icon-imprimir {
	.icon(imprimir);
}
.icon-instagram {
	.icon(instagram);
}
.icon-kcal {
	.icon(kcal);
}
.icon-momento {
	.icon(momento);
}
.icon-omega {
	.icon(omega);
}
.icon-pacote {
	.icon(pacote);
}
.icon-pet {
	.icon(pet);
}
.icon-play {
	.icon(play);
}
.icon-porcoes {
	.icon(porcoes);
}
.icon-sache {
	.icon(sache);
}
.icon-search {
	.icon(search);
}
.icon-seta-next {
	.icon(seta-next);
}
.icon-seta-prev {
	.icon(seta-prev);
}
.icon-tempeiro {
	.icon(tempeiro);
}
.icon-tempo {
	.icon(tempo);
}